dnl If the compiler has the complex math functions acos, asin,
dnl atan, atan2 and log10, define HAVE_COMPLEX_MATH.

AC_DEFUN([AC_CXX_HAVE_COMPLEX_MATH],
[AC_CACHE_CHECK(for complex math functions,
ac_cv_cxx_have_complex_math,
[AC_REQUIRE([AC_CXX_NAMESPACES])
 AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 ac_save_LIBS="$LIBS"
 LIBS="$LIBS -lm"
 AC_TRY_LINK([#include <complex>
#ifdef HAVE_NAMESPACES
using namespace std;
#endif],[complex<double> x(1.0, 1.0), y(1.0, 1.0);
acos(x); asin(x); atan(x); atan2(x,y); atan2(x, double(3.0));
atan2(double(3.0), x); log10(x); ],
 ac_cv_cxx_have_complex_math=yes, ac_cv_cxx_have_complex_math=no)
 LIBS="$ac_save_LIBS"
 AC_LANG_RESTORE
])
if test "$ac_cv_cxx_have_complex_math" = yes; then
  AC_DEFINE(HAVE_COMPLEX_MATH,,[define if the compiler has more complex math functions])
fi
])

