dnl If the compiler allows modifying data members of classes flagged with
dnl the mutable keyword even in const objects, define HAVE_MUTABLE.
dnl

AC_DEFUN([AC_CXX_HAVE_MUTABLE],
[AC_CACHE_CHECK(for mutable,
ac_cv_cxx_mutable,
[AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 AC_TRY_COMPILE([
class Foo {
  mutable int i;
public:
  int bar (int n) const { i = n; return i; }
};
],[Foo foo; return foo.bar(1);],
 ac_cv_cxx_mutable=yes, ac_cv_cxx_mutable=no)
 AC_LANG_RESTORE
])
if test "$ac_cv_cxx_mutable" = yes; then
  AC_DEFINE(HAVE_MUTABLE,,[Define if the compiler supports the mutable keyword])
fi
])
