dnl Check for compiler support for double SYSV math, if there define 
dnl HAVE_SYSV_MATH.

AC_DEFUN([AC_CXX_HAVE_SYSV_MATH],
[AC_CACHE_CHECK(for SYSV math library,
ac_cv_cxx_have_sysv_math,
[AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 ac_save_LIBS="$LIBS"
 LIBS="$LIBS -lm"
 AC_TRY_LINK([
#ifndef _ALL_SOURCE
 #define _ALL_SOURCE
#endif
#ifndef _XOPEN_SOURCE
 #define _XOPEN_SOURCE
#endif
#ifndef _XOPEN_SOURCE_EXTENDED
 #define _XOPEN_SOURCE_EXTENDED 1
#endif
#include <cmath>],[double x = 1.0; double y = 1.0;
_class(x);
ilogb(x);
itrunc(x);
nearest(x);
rsqrt(x);
uitrunc(x);
 
copysign(x,y);
drem(x,y);
fmod(x,y);
hypot(x,y);
nextafter(x,y);
remainder(x,y);
scalb(x,y);
unordered(x,y);
return 0;],
 ac_cv_cxx_have_sysv_math=yes, ac_cv_cxx_have_sysv_math=no)
 LIBS="$ac_save_LIBS"
 AC_LANG_RESTORE
])
if test "$ac_cv_cxx_have_sysv_math" = yes; then
  AC_DEFINE(HAVE_SYSV_MATH,,[Define if the compiler supports SYSV math library])
fi
])

